/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

@import '~@angular/material/theming';

@mixin operation-management-component-theme($theme) {
  $background: map-get($theme, background);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);

  #operationStatusStepper .mat-complete {
    color: mat-color($mat-green, 500) !important;
  }

  td-steps {
    background-color: mat-color($background, card);
  }

  mat-icon.locked {
    color: mat-color($mat-grey, 700);
  }

  mat-icon.complete {
    color: mat-color($mat-green, 700);
    font-weight: bold;
  }

  mat-icon.error {
    color: mat-color($warn);
  }

}
